Upstream information

CVE-2018-7470 at MITRE

Description

An issue was discovered in ImageMagick 7.0.7-22 Q16. The IsWEBPImageLossless function in coders/webp.c allows attackers to cause a denial of service (segmentation violation) via a crafted file.

SUSE information

Overall state of this security issue: Running

This issue is currently rated as having low severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.3
Vector AV:N/AC:M/Au:N/C:N/I:N/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact None
Integrity Impact None
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 6.5 2.9
Vector AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H AV:L/AC:H/PR:N/UI:N/S:U/C:N/I:N/A:L
Access Vector Network Local
Access Complexity Low High
Privileges Required None None
User Interaction Required None
Scope Unchanged Unchanged
Confidentiality Impact None None
Integrity Impact None None
Availability Impact High Low
SUSE Bugzilla entry: 1082837 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12 SP2
  • ImageMagick >= 6.8.8.1-71.47.1
  • libMagick++-6_Q16-3 >= 6.8.8.1-71.47.1
  • libMagickCore-6_Q16-1 >= 6.8.8.1-71.47.1
  • libMagickCore-6_Q16-1-32bit >= 6.8.8.1-71.47.1
  • libMagickWand-6_Q16-1 >= 6.8.8.1-71.47.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP2-2018-572
SUSE Linux Enterprise Desktop 12 SP3
  • ImageMagick >= 6.8.8.1-71.47.1
  • libMagick++-6_Q16-3 >= 6.8.8.1-71.47.1
  • libMagickCore-6_Q16-1 >= 6.8.8.1-71.47.1
  • libMagickCore-6_Q16-1-32bit >= 6.8.8.1-71.47.1
  • libMagickWand-6_Q16-1 >= 6.8.8.1-71.47.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP3-2018-572
SUSE Linux Enterprise Server 12 SP2
  • ImageMagick >= 6.8.8.1-71.47.1
  • libMagickCore-6_Q16-1 >= 6.8.8.1-71.47.1
  • libMagickWand-6_Q16-1 >= 6.8.8.1-71.47.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2018-572
SUSE Linux Enterprise Server 12 SP3
  • ImageMagick >= 6.8.8.1-71.47.1
  • libMagickCore-6_Q16-1 >= 6.8.8.1-71.47.1
  • libMagickWand-6_Q16-1 >= 6.8.8.1-71.47.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2018-572
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • ImageMagick >= 6.8.8.1-71.47.1
  • libMagickCore-6_Q16-1 >= 6.8.8.1-71.47.1
  • libMagickWand-6_Q16-1 >= 6.8.8.1-71.47.1
Patchnames:
SUSE-SLE-RPI-12-SP2-2018-572
SUSE Linux Enterprise Server for SAP Applications 12 SP2
  • ImageMagick >= 6.8.8.1-71.47.1
  • libMagickCore-6_Q16-1 >= 6.8.8.1-71.47.1
  • libMagickWand-6_Q16-1 >= 6.8.8.1-71.47.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2018-572
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • ImageMagick >= 6.8.8.1-71.47.1
  • libMagickCore-6_Q16-1 >= 6.8.8.1-71.47.1
  • libMagickWand-6_Q16-1 >= 6.8.8.1-71.47.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2018-572
SUSE Linux Enterprise Software Development Kit 12 SP2
  • ImageMagick >= 6.8.8.1-71.47.1
  • ImageMagick-devel >= 6.8.8.1-71.47.1
  • libMagick++-6_Q16-3 >= 6.8.8.1-71.47.1
  • libMagick++-devel >= 6.8.8.1-71.47.1
  • perl-PerlMagick >= 6.8.8.1-71.47.1
Patchnames:
SUSE-SLE-SDK-12-SP2-2018-572
SUSE Linux Enterprise Software Development Kit 12 SP3
  • ImageMagick >= 6.8.8.1-71.47.1
  • ImageMagick-devel >= 6.8.8.1-71.47.1
  • libMagick++-6_Q16-3 >= 6.8.8.1-71.47.1
  • libMagick++-devel >= 6.8.8.1-71.47.1
  • perl-PerlMagick >= 6.8.8.1-71.47.1
Patchnames:
SUSE-SLE-SDK-12-SP3-2018-572
SUSE Linux Enterprise Workstation Extension 12 SP2
  • ImageMagick >= 6.8.8.1-71.47.1
  • libMagick++-6_Q16-3 >= 6.8.8.1-71.47.1
  • libMagickCore-6_Q16-1-32bit >= 6.8.8.1-71.47.1
Patchnames:
SUSE-SLE-WE-12-SP2-2018-572
SUSE Linux Enterprise Workstation Extension 12 SP3
  • ImageMagick >= 6.8.8.1-71.47.1
  • libMagick++-6_Q16-3 >= 6.8.8.1-71.47.1
  • libMagickCore-6_Q16-1-32bit >= 6.8.8.1-71.47.1
Patchnames:
SUSE-SLE-WE-12-SP3-2018-572
openSUSE Leap 42.3
  • ImageMagick >= 6.8.8.1-58.1
  • ImageMagick-debuginfo >= 6.8.8.1-58.1
  • ImageMagick-debugsource >= 6.8.8.1-58.1
  • ImageMagick-devel >= 6.8.8.1-58.1
  • ImageMagick-devel-32bit >= 6.8.8.1-58.1
  • ImageMagick-doc >= 6.8.8.1-58.1
  • ImageMagick-extra >= 6.8.8.1-58.1
  • ImageMagick-extra-debuginfo >= 6.8.8.1-58.1
  • libMagick++-6_Q16-3 >= 6.8.8.1-58.1
  • libMagick++-6_Q16-3-32bit >= 6.8.8.1-58.1
  • libMagick++-6_Q16-3-debuginfo >= 6.8.8.1-58.1
  • libMagick++-6_Q16-3-debuginfo-32bit >= 6.8.8.1-58.1
  • libMagick++-devel >= 6.8.8.1-58.1
  • libMagick++-devel-32bit >= 6.8.8.1-58.1
  • libMagickCore-6_Q16-1 >= 6.8.8.1-58.1
  • libMagickCore-6_Q16-1-32bit >= 6.8.8.1-58.1
  • libMagickCore-6_Q16-1-debuginfo >= 6.8.8.1-58.1
  • libMagickCore-6_Q16-1-debuginfo-32bit >= 6.8.8.1-58.1
  • libMagickWand-6_Q16-1 >= 6.8.8.1-58.1
  • libMagickWand-6_Q16-1-32bit >= 6.8.8.1-58.1
  • libMagickWand-6_Q16-1-debuginfo >= 6.8.8.1-58.1
  • libMagickWand-6_Q16-1-debuginfo-32bit >= 6.8.8.1-58.1
  • perl-PerlMagick >= 6.8.8.1-58.1
  • perl-PerlMagick-debuginfo >= 6.8.8.1-58.1
Patchnames:
openSUSE-2018-343


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 12 SP2 ImageMagick Released
SUSE Linux Enterprise Desktop 12 SP3 ImageMagick Released
SUSE Linux Enterprise SDK 11 SP4 ImageMagick Not affected
SUSE Linux Enterprise SDK 12 SP2 ImageMagick Released
SUSE Linux Enterprise SDK 12 SP3 ImageMagick Released
SUSE Linux Enterprise Server 11 SP3 LTSS ImageMagick Not affected
SUSE Linux Enterprise Server 11 SP4 ImageMagick Not affected
SUSE Linux Enterprise Server 12 GA LTSS ImageMagick Affected
SUSE Linux Enterprise Server 12 SP1 LTSS ImageMagick Affected
SUSE Linux Enterprise Server 12 SP2 ImageMagick Released
SUSE Linux Enterprise Server 12 SP3 ImageMagick Released
SUSE Linux Enterprise Workstation Extension 12 SP2 ImageMagick Released
SUSE Linux Enterprise Workstation Extension 12 SP3 ImageMagick Released